Debian Bug report logs - #645460
apache2.2-common: /etc/init.d/apache2 start and restart need to wait until really started

version graph

Package: apache2.2-common; Maintainer for apache2.2-common is Debian Apache Maintainers <debian-apache@lists.debian.org>; Source for apache2.2-common is src:apache2.

Reported by: Yukio Shiiya <shiiya@sky.email.ne.jp>

Date: Sat, 15 Oct 2011 23:09:04 UTC

Severity: normal

Tags: patch

Found in version apache2/2.2.16-6+squeeze4

Fixed in version apache2/2.4.4-3

Done: Stefan Fritsch <sf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, shiiya@sky.email.ne.jp, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#645460; Package apache2.2-common. (Sat, 15 Oct 2011 23:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yukio Shiiya <shiiya@sky.email.ne.jp>:
New Bug report received and forwarded. Copy sent to shiiya@sky.email.ne.jp, Debian Apache Maintainers <debian-apache@lists.debian.org>. (Sat, 15 Oct 2011 23:09:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yukio Shiiya <shiiya@sky.email.ne.jp>
To: submit@bugs.debian.org
Subject: apache2.2-common: /etc/init.d/apache2 start and restart need to wait until really started
Date: Sun, 16 Oct 2011 08:05:19 +0900
[Message part 1 (text/plain, inline)]
Package: apache2.2-common
Version: 2.2.16-6+squeeze4
Severity: normal
Tags: patch

Dear Maintainer,

First of all, sorry for my poor English.

"/etc/init.d/apache2 start" is completed before apache2 is really
started.
And, "/etc/init.d/apache2 restart" is completed before apache2 is
really restarted.

For example, if "/etc/init.d/apache2 start" and "/etc/init.d/apache2
status" are run continuously, it will be displayed as "Apache2 is NOT
running.".
But, if "/etc/init.d/apache2 status" is run after several seconds, it
will be displayed as "Apache2 is running (pid XXXX).".

# ps -ef | grep -v grep | grep apache
root      2603     1  0 05:51 ?        00:00:00 /usr/sbin/apache2 -k start
www-data  2610  2603  0 05:51 ?        00:00:00 /usr/sbin/apache2 -k start
www-data  2611  2603  0 05:51 ?        00:00:00 /usr/sbin/apache2 -k start
www-data  2612  2603  0 05:51 ?        00:00:00 /usr/sbin/apache2 -k start
www-data  2613  2603  0 05:51 ?        00:00:00 /usr/sbin/apache2 -k start
www-data  2614  2603  0 05:51 ?        00:00:00 /usr/sbin/apache2 -k start
# /etc/init.d/apache2 stop
Stopping web server: apache2 ... waiting .
# ps -ef | grep -v grep | grep apache
# /etc/init.d/apache2 start   ; echo $? ; /etc/init.d/apache2 status ; echo $?
Starting web server: apache2.
0
Apache2 is NOT running.
3
# /etc/init.d/apache2 status  ; echo $?
Apache2 is running (pid 2929).
0

And if "/etc/init.d/apache2 restart" and "/etc/init.d/apache2 status"
are run continuously, it will be displayed as "Apache2 is NOT running.".
But, if "/etc/init.d/apache2 status" is run after several seconds, it
will be displayed as "Apache2 is running (pid XXXX).".

# ps -ef | grep -v grep | grep apache
root      2929     1  0 05:57 ?        00:00:00 /usr/sbin/apache2 -k start
www-data  2940  2929  0 05:57 ?        00:00:00 /usr/sbin/apache2 -k start
www-data  2941  2929  0 05:57 ?        00:00:00 /usr/sbin/apache2 -k start
www-data  2942  2929  0 05:57 ?        00:00:00 /usr/sbin/apache2 -k start
www-data  2943  2929  0 05:57 ?        00:00:00 /usr/sbin/apache2 -k start
www-data  2944  2929  0 05:57 ?        00:00:00 /usr/sbin/apache2 -k start
# /etc/init.d/apache2 restart ; echo $? ; /etc/init.d/apache2 status ; echo $?
Restarting web server: apache2 ... waiting .
0
Apache2 is NOT running.
3
# /etc/init.d/apache2 status  ; echo $?
Apache2 is running (pid 2987).
0

This symptom has a bad influence on operation of HA cluster resource
manager (such as pacemaker).

The attached patch corrects "/etc/init.d/apache2" so that it waits for
apache2 to be really started or restarted.
Please review the attached patch, and if satisfactory, consider
including it in the package.

P.S.
It seems that this symptom does not occur when the load of apache is
low to some extent.

In our system, when some modules (such as perl, php5 and python) were
enabled, the above-mentioned symptom occurred.
But, when some modules (such as perl, php5 and python) were disabled,
even if I ran "/etc/init.d/apache2 start" and "/etc/init.d/apache2
status" continuously, it came to be immediately displayed as "Apache2
is running (pid XXXX).".

Thanks,

-- Package-specific info:
List of enabled modules from 'apache2 -M':
  alias auth_basic authn_file authz_default authz_groupfile
  authz_host authz_user autoindex cgi deflate dir env mime
  negotiation perl php5 python reqtimeout setenvif status
List of enabled php5 extensions:
  pdo

-- System Information:
Debian Release: 6.0.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages apache2.2-common depends on:
ii  apache2-utils          2.2.16-6+squeeze4 utility programs for webservers
ii  apache2.2-bin          2.2.16-6+squeeze4 Apache HTTP Server common binary f
ii  libmagic1              5.04-5            File type determination library us
ii  lsb-base               3.2-23.2squeeze1  Linux Standard Base 3.2 init scrip
ii  mime-support           3.48-1            MIME files 'mime.types' & 'mailcap
ii  perl                   5.10.1-17squeeze2 Larry Wall's Practical Extraction 
ii  procps                 1:3.2.8-9         /proc file system utilities

Versions of packages apache2.2-common recommends:
ii  ssl-cert                      1.0.28     simple debconf wrapper for OpenSSL

Versions of packages apache2.2-common suggests:
pn  apache2-doc                   <none>     (no description available)
pn  apache2-suexec | apache2-suex <none>     (no description available)
ii  w3m [www-browser]             0.5.2-9    WWW browsable pager with excellent

Versions of packages apache2.2-common is related to:
pn  apache2-mpm-event      <none>            (no description available)
pn  apache2-mpm-itk        <none>            (no description available)
ii  apache2-mpm-prefork    2.2.16-6+squeeze4 Apache HTTP Server - traditional n
pn  apache2-mpm-worker     <none>            (no description available)

-- no debconf information

--
Yukio Shiiya <shiiya @ sky.email.ne.jp>
[init.d-apache2.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#645460; Package apache2.2-common. (Wed, 30 Jan 2013 14:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nerijus Kislauskas <nerijus.kislauskas@ktu.lt>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Wed, 30 Jan 2013 14:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 645460@bugs.debian.org (full text, mbox):

From: Nerijus Kislauskas <nerijus.kislauskas@ktu.lt>
To: 645460@bugs.debian.org
Subject: apache2.2-common: /etc/init.d/apache2 start and restart need to wait until really started
Date: Wed, 30 Jan 2013 16:39:49 +0200
Hi,

The same problem exists in Debian wheezy:

# cat /etc/debian_version
7.0
# while true; do /etc/init.d/apache2 stop > /dev/null;
/etc/init.d/apache2 start; echo -n "Exit Code: "; echo $?;
/etc/init.d/apache2 status; echo; sleep 5; done
[ ok ] Starting web server: apache2.
Exit Code: 0
Apache2 is running (pid 25328).

[ ok ] Starting web server: apache2.
Exit Code: 0
Apache2 is NOT running.

[ ok ] Starting web server: apache2.
Exit Code: 0
Apache2 is running (pid 25517).

[ ok ] Starting web server: apache2.
Exit Code: 0
Apache2 is NOT running.

[ ok ] Starting web server: apache2.
Exit Code: 0
Apache2 is NOT running.

[ ok ] Starting web server: apache2.
Exit Code: 0
Apache2 is running (pid 25757).

[ ok ] Starting web server: apache2.
Exit Code: 0
Apache2 is NOT running.
^C
#

It makes lsb:apache2 unusable on pacemaker clusters.

-- 
Nerijus Kislauskas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#645460; Package apache2.2-common. (Wed, 30 Jan 2013 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <arno@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Wed, 30 Jan 2013 16:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 645460@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: Nerijus Kislauskas <nerijus.kislauskas@ktu.lt>, 645460@bugs.debian.org
Subject: Re: Bug#645460: apache2.2-common: /etc/init.d/apache2 start and restart need to wait until really started
Date: Wed, 30 Jan 2013 17:24:17 +0100
[Message part 1 (text/plain, inline)]
Hi,

On 30.01.2013 15:39, Nerijus Kislauskas wrote:
> It makes lsb:apache2 unusable on pacemaker clusters.

this is a known problem. I tried to address this problem partially in
our upcoming Apache 2.4 tree, but since complex init scripts such as
Apache's are error prone, we decided not to backport my improvements to 2.2.

Could you try the new init script [1] and tell me if it fixes your
problem? There I wait until the server is stopped, start is left as is
so far.


[1]
http://anonscm.debian.org/gitweb/?p=pkg-apache/apache2.git;a=blob;f=debian/apache2.init;h=130c0f533d18abea263622dbd2673f134989b5ad;hb=refs/heads/next
-- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#645460; Package apache2.2-common. (Thu, 31 Jan 2013 10:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nerijus Kislauskas <nerijus.kislauskas@ktu.lt>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Thu, 31 Jan 2013 10:30:03 GMT) Full text and rfc822 format available.

Message #20 received at 645460@bugs.debian.org (full text, mbox):

From: Nerijus Kislauskas <nerijus.kislauskas@ktu.lt>
To: Arno Töll <arno@debian.org>
Cc: 645460@bugs.debian.org
Subject: Re: Bug#645460: apache2.2-common: /etc/init.d/apache2 start and restart need to wait until really started
Date: Thu, 31 Jan 2013 12:27:41 +0200
On 01/30/2013 06:24 PM, Arno Töll wrote:
> Hi,
> 
> On 30.01.2013 15:39, Nerijus Kislauskas wrote:
>> It makes lsb:apache2 unusable on pacemaker clusters.
> 
> this is a known problem. I tried to address this problem partially in
> our upcoming Apache 2.4 tree, but since complex init scripts such as
> Apache's are error prone, we decided not to backport my improvements to 2.2.
> 
> Could you try the new init script [1] and tell me if it fixes your
> problem? There I wait until the server is stopped, start is left as is
> so far.
> 
> 
> [1]
> http://anonscm.debian.org/gitweb/?p=pkg-apache/apache2.git;a=blob;f=debian/apache2.init;h=130c0f533d18abea263622dbd2673f134989b5ad;hb=refs/heads/next

No, it does not. Pacemaker result:

Jan 31 11:11:15 lrmd: [1979]: info: operation start[1579] on
apache2-test for client 1982: pid 24864 exited with return code 0
Jan 31 11:11:15 lrmd: [1979]: info: rsc:apache2-test monitor[1580] (pid
24880)
Jan 31 11:11:15 lrmd: [1979]: info: operation monitor[1580] on
apache2-test for client 1982: pid 24880 exited with return code 7
(mapped from 3)
Jan 31 11:11:16 lrmd: [1979]: info: cancel_op: operation monitor[1580]
on apache2-test for client 1982, its parameters: crm_feature_set=[3.0.6]
CRM_meta_name=[monitor] CRM_meta_interval=[60000]
CRM_meta_timeout=[20000]  cancelled
Jan 31 11:11:16 lrmd: [1979]: info: rsc:apache2-test stop[1581] (pid 24894)

I will stay with original wheezy apache2 init script with "sleep X" at
the end of "start)" section. Looks ugly, but works.

http://www.linux-ha.org/wiki/LSB_Resource_Agents
-- 
Nerijus Kislauskas



Added tag(s) pending. Request was from Arno Töll <arno@debian.org> to control@bugs.debian.org. (Sun, 12 May 2013 13:36:15 GMT) Full text and rfc822 format available.

Reply sent to Stefan Fritsch <sf@debian.org>:
You have taken responsibility. (Tue, 28 May 2013 21:51:17 GMT) Full text and rfc822 format available.

Notification sent to Yukio Shiiya <shiiya@sky.email.ne.jp>:
Bug acknowledged by developer. (Tue, 28 May 2013 21:51:17 GMT) Full text and rfc822 format available.

Message #27 received at 645460-close@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@debian.org>
To: 645460-close@bugs.debian.org
Subject: Bug#645460: fixed in apache2 2.4.4-3
Date: Tue, 28 May 2013 21:48:47 +0000
Source: apache2
Source-Version: 2.4.4-3

We believe that the bug you reported is fixed in the latest version of
apache2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645460@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefan Fritsch <sf@debian.org> (supplier of updated apache2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 28 May 2013 22:47:26 +0200
Source: apache2
Binary: apache2 apache2-data apache2-bin apache2-mpm-worker apache2-mpm-prefork apache2-mpm-event apache2-mpm-itk apache2.2-bin libapache2-mod-proxy-html apache2-utils apache2-suexec apache2-suexec-pristine apache2-suexec-custom apache2-doc apache2-dev apache2-dbg
Architecture: source i386 all
Version: 2.4.4-3
Distribution: experimental
Urgency: low
Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
Changed-By: Stefan Fritsch <sf@debian.org>
Description: 
 apache2    - Apache HTTP Server
 apache2-bin - Apache HTTP Server (binary files and modules)
 apache2-data - Apache HTTP Server (common files)
 apache2-dbg - Apache debugging symbols
 apache2-dev - Apache HTTP Server (development headers)
 apache2-doc - Apache HTTP Server (on-site documentation)
 apache2-mpm-event - transitional event MPM package for apache2
 apache2-mpm-itk - transitional itk MPM package for apache2
 apache2-mpm-prefork - transitional prefork MPM package for apache2
 apache2-mpm-worker - transitional worker MPM package for apache2
 apache2-suexec - transitional package for apache2-suexec-pristine
 apache2-suexec-custom - Apache HTTP Server configurable suexec program for mod_suexec
 apache2-suexec-pristine - Apache HTTP Server standard suexec program for mod_suexec
 apache2-utils - Apache HTTP Server (utility programs for web servers)
 apache2.2-bin - Transitional package for apache2-bin
 libapache2-mod-proxy-html - Transitional package for apache2-bin
Closes: 645460 681544 681545 681546 683212 695482 702475 702866 702929 704639 707109 707795 707892
Changes: 
 apache2 (2.4.4-3) experimental; urgency=low
 .
   [ Arno Töll ]
   * libapache2-mod-proxy-html is included in Apache 2.4 and not packaged
     separately anymore. Thus, we are using the most recent version available
     now (Closes: #695482).
   * Fix "typo in mpm_event.load" by applying the patch provided by Bastian
     Triller. Thanks (Closes: #704639)
   * Replace some occurrences of "Squeeze" in our scripts. It's Wheezy time.
   * Changes in dh_apache2:
     + Add -e|--noenable option to dh_apache2 (Closes: #681544)
     + Disable scripts in prerm, not postrm (Closes: #681546)
     + However, still hook into postrm and purge state when required
     + Call the postinst code always, not only during configure
       (Closes: #681545)
     + Fix "dh_apache2 postinst code needs to reload more" and reload the
       web-server in postinst when upgrading (Closes: #702929)
   * Let a2enmod purge state when calling -p for already disabled
     configurations.
   * Fix "don't assume apache2 is running 24 hours a day when rotating
     logs": Only restart the webserver when it was previously running
     (Closes: #707892)
   * Properly return the conf/site configuration fragments enabled for Apache
     when queried from a2query (Closes: #683212)
   * Fix "/etc/init.d/apache2 start and restart need to wait until really
     started" (Closes: #645460)
   * Fix "apxs2 outputs "uninitialized value" warnings" by removing the double
     declaration of variables in apxs. This problem was harmless, but noisy
     (Closes: #707109)
   * Make the DEBIAN_VERSION parsing in debian/rules more robust. Thanks to
     Ondřej Surý for noticing and providing a patch.
   * Fix "copyright file missing after upgrade (policy 12.5)" by linking to the
     apache2 doc-dir when upgrading (Closes: #707795)
 .
   [ Stefan Fritsch ]
   * Backport various fixes from upstream svn branch '2.4.x'.
   * Remove paragraph about MaxMemFree in README.Debian. The issue should be
     fixed in 2.4.
   * Enable mod_authn_core when upgrading from wheezy (Closes: #702866)
   * Bump libaprutil1-dev build dependency to get support for bcrypt password
     hashes.
   * Fix mod_mpm_itk.so not being linked to libcap.so (Closes: #702475)
   * Make apache2-dev not depend on apache2.
Checksums-Sha1: 
 290cdf805e9fd85dc8644e987f108f2b25656663 2368 apache2_2.4.4-3.dsc
 fa9f41c65e335a6469d9d34f63aefce7d5c02e1d 193860 apache2_2.4.4-3.debian.tar.gz
 d9d1e2adaead0bb77ae5a4d9b439a4d813393e96 1408 libapache2-mod-proxy-html_2.4.4-3_i386.deb
 3e2a9acfaa8e9a57df8a381e4dfd87fbce2f389d 181102 apache2_2.4.4-3_i386.deb
 30da136d6eac74602b08e9e70552c72aaa1d9145 151516 apache2-data_2.4.4-3_all.deb
 4bfb5e0b4cf364f2e35231902cf5bdc96f17cd99 921618 apache2-bin_2.4.4-3_i386.deb
 2325778f0daebbfc0b97992e402f2b26d6a1a8b0 852 apache2-mpm-worker_2.4.4-3_i386.deb
 b07fc74848d88e8485599be7757a3eab0fc70e65 850 apache2-mpm-prefork_2.4.4-3_i386.deb
 66c92d595fdda9b00a65ffe10fa74c439f0e2268 850 apache2-mpm-event_2.4.4-3_i386.deb
 8212ffe87dc9712c04760a34cfa0670529822917 844 apache2-mpm-itk_2.4.4-3_i386.deb
 9b2fab03927df84e8c63f8718071a619b096cf6b 856 apache2.2-bin_2.4.4-3_i386.deb
 627beb818ae40cc687e01d64094a973d9cdc701e 176138 apache2-utils_2.4.4-3_i386.deb
 81fbaee216b63016b42c3ca05dde7948f7989949 1390 apache2-suexec_2.4.4-3_i386.deb
 8f9e9c0215e541a6cde7d9e483b4f6196925240f 110108 apache2-suexec-pristine_2.4.4-3_i386.deb
 5fceb144a65fbee093a7018c1a1626aae0b6c4c8 111634 apache2-suexec-custom_2.4.4-3_i386.deb
 e57ab4d4a6e6797ab1d5f9973b6c0d67fad5bdd2 2584146 apache2-doc_2.4.4-3_all.deb
 13f38c02eb5dddf9dd22a576bf854013e612551a 256514 apache2-dev_2.4.4-3_i386.deb
 722adc076728029729947b7df2c5774ecda6cced 1966240 apache2-dbg_2.4.4-3_i386.deb
Checksums-Sha256: 
 949ed41e17a6b05f44886e06823f7f183544f8552a196f082d7d54147748b434 2368 apache2_2.4.4-3.dsc
 40373da8112409e062dca7bdeec640da8bc8558b746a03f52ff31e8eabb43d6f 193860 apache2_2.4.4-3.debian.tar.gz
 61b2104f9737380ed46b17952ba391629210ae628f0b9c19eb152ce326c2e600 1408 libapache2-mod-proxy-html_2.4.4-3_i386.deb
 9b987192b804d9f0ba3e61189170162ad7666ca81c0c670cfb5f4575e10b4383 181102 apache2_2.4.4-3_i386.deb
 830f1b15b2a64b4baf0f7a9bc09828f3228ada5bd423f6064c71fccca1298e55 151516 apache2-data_2.4.4-3_all.deb
 e143f4d7e98d501ea88fac234a030000240695d31814303cd11fdef9e8239675 921618 apache2-bin_2.4.4-3_i386.deb
 e02158292e108ec238f538ea5c22b8b639ef6d0eee5bb91485d34aed9c6fab57 852 apache2-mpm-worker_2.4.4-3_i386.deb
 38b093424542e2ba03071514edd8525fd385cf9a8125a804962c6bcbcff4f178 850 apache2-mpm-prefork_2.4.4-3_i386.deb
 7217d69ac0e5303a3c1a0a5450d6263394ac827973b490bceed31b7189c470e0 850 apache2-mpm-event_2.4.4-3_i386.deb
 3886d5e14c233531ab9c8ca2685847a2020820245c559104effcbbcd72ded91f 844 apache2-mpm-itk_2.4.4-3_i386.deb
 6b6a8541a2c8b807cfeb7372489272e229145970e9186d2abd06e347113bd27e 856 apache2.2-bin_2.4.4-3_i386.deb
 4655946a6d0ebff18a106ae4c15b9a930934caebf44e74cdab36e097ce2b242e 176138 apache2-utils_2.4.4-3_i386.deb
 7fa92d9ba9acffcf026bc9b48e3962ad19293fa1f950a7260dae16b88767bf5a 1390 apache2-suexec_2.4.4-3_i386.deb
 b9c5b6b470db39f2dd1dda96da3c02b1f9f5a80fcc3c22eeaf70f4933f7f7646 110108 apache2-suexec-pristine_2.4.4-3_i386.deb
 41516bbdb6f1effb8d3ecb28233fb47b1861d46b9dc19605055a565e12839530 111634 apache2-suexec-custom_2.4.4-3_i386.deb
 96aef607d25efcc90e2b35fb3143d29468a2c6134d8d1bf87ff3c49fcea0dbe3 2584146 apache2-doc_2.4.4-3_all.deb
 ff76a1322020d79bebe914a91d382db8de0fcf5757ff831ce5558fa15688fe6b 256514 apache2-dev_2.4.4-3_i386.deb
 5164cb9ea3093e0cdd52dbc87b9399628c8802a73897d68f278aa0879227f236 1966240 apache2-dbg_2.4.4-3_i386.deb
Files: 
 3e6b2080f7f3ed2fded250ab1434ce46 2368 httpd optional apache2_2.4.4-3.dsc
 5c1bc2d116b7f8e2f20e6f5b66093361 193860 httpd optional apache2_2.4.4-3.debian.tar.gz
 7fca083055da3e3674b615de1881d438 1408 oldlibs extra libapache2-mod-proxy-html_2.4.4-3_i386.deb
 566274f31e41d6d6d4fe0c4f7845caf1 181102 httpd optional apache2_2.4.4-3_i386.deb
 696ea0c9b81facbbcf63dbd9b77c0470 151516 httpd optional apache2-data_2.4.4-3_all.deb
 5826e90457630d3f415a1726776b3d91 921618 httpd optional apache2-bin_2.4.4-3_i386.deb
 21cf2827d9a56010f27f383d2fed8cb3 852 oldlibs extra apache2-mpm-worker_2.4.4-3_i386.deb
 b6b685bd81bb329bc7cf066018df6cc4 850 oldlibs extra apache2-mpm-prefork_2.4.4-3_i386.deb
 4534a05e97fd63bb3521e8b919c38951 850 oldlibs extra apache2-mpm-event_2.4.4-3_i386.deb
 450631e941f90f4d8bfad9d4362822e1 844 oldlibs extra apache2-mpm-itk_2.4.4-3_i386.deb
 eccb1cad817f53ba149bf4de69e665c0 856 oldlibs extra apache2.2-bin_2.4.4-3_i386.deb
 9a64e5b8e059e9a54c76a9532e119158 176138 httpd optional apache2-utils_2.4.4-3_i386.deb
 e18ca571c4ed0590b495ffafe347bdf0 1390 oldlibs extra apache2-suexec_2.4.4-3_i386.deb
 86ee6bd211d02722158c2465b61672e0 110108 httpd optional apache2-suexec-pristine_2.4.4-3_i386.deb
 0a67a61dbeeaa97d6e766ec720d461f7 111634 httpd extra apache2-suexec-custom_2.4.4-3_i386.deb
 5e52ec837fe706bef7bbd56e46acf62a 2584146 doc optional apache2-doc_2.4.4-3_all.deb
 9ef4337d02512020eb2d4e3f665f04d2 256514 httpd optional apache2-dev_2.4.4-3_i386.deb
 29463a78b5c995d6612e0595c2e0dbb6 1966240 debug extra apache2-dbg_2.4.4-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFRpSAcbxelr8HyTqQRAqF9AJ48pM9NZOdHUuRYF3pBeDQcrGl/UACgh7JF
AWkCG+Hooz9vy/9QlW440Y4=
=xwJs
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Jun 2013 07:32:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:14:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.